package depart.frontal.evenements;

import ca.ntro.app.events.Event;
import depart.frontal.donnees.DonneesVueB;
import depart.frontal.vues.VueB;

public class EvtAgrandirMonde2d extends Event {

	private double worldWidth;
	private double worldHeight;
	
	public EvtAgrandirMonde2d setWorldWidth(double worldWidth) {
		this.worldWidth = worldWidth;
		return this;
	}

	public EvtAgrandirMonde2d setWorldHeight(double worldHeight) {
		this.worldHeight = worldHeight;
		return this;
	}

	public void appliquer(VueB paramA) {
		paramA.methodeB(worldWidth, worldHeight);
	}

	public void appliquer(DonneesVueB paramB) {
		paramB.methodeC(worldWidth, worldHeight);
	}
}
